<input size="10" style="width:50px;" class="colorblue" onfocus="this.className='colorfocus';" onblur="this.className='colorblue';" onkeyup="changevcode(this.form, this.value);" />
&nbsp;
<img src="tools/VerifyImagePage.aspx?time={Processtime}" class="cursor" id="vcodeimg" onclick="this.src='tools/VerifyImagePage.aspx?id={olid}&time=' + Math.random();" />
<!--<input name="reloadvcade" type="button" class="colorblue" id="reloadvcade" value="刷新验证码" tabindex="-1"  style="color:#99cc00; width:75px;" />-->
<script type="text/javascript">
	if (typeof vcodeimgid == 'undefined'){
		var vcodeimgid = 1;
	}
	var actualid = $('vcodeimg').id + vcodeimgid++;
	$('vcodeimg').id = actualid;
	var actualobject = $(actualid);
	actualobject.src='tools/VerifyImagePage.aspx?bgcolor=F5FAFE&time=' + Math.random();
	
	var btn = document.createElement("INPUT");
	btn.type = "button";
	btn.className = "colorblue";
	btn.value="刷新验证码";
	btn.style.color = "#99cc00";
	btn.style.width = "75px";
	btn.onclick =  function() {
		actualobject.src = 'tools/VerifyImagePage.aspx?time=' + Math.random();
	};

	actualobject.parentNode.appendChild(btn);

	function changevcode(form, value){
		if (!$('vcode')){
			var vcode = document.createElement('input');
			vcode.id = 'vcode';
			vcode.name = 'vcode';
			vcode.type = 'hidden';
			vcode.value = value;
			form.appendChild(vcode);
		}else{
			$('vcode').value = value;
		}
	}
</script>

